curl --request POST \
--url https://sandbox.withclasp.com/plans/{public_id}/premiums \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"amount": "<string>",
"tobacco_usage": true,
"age": "<string>"
}
]
'import requests
url = "https://sandbox.withclasp.com/plans/{public_id}/premiums"
payload = [
{
"amount": "<string>",
"tobacco_usage": True,
"age": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{amount: '<string>', tobacco_usage: true, age: '<string>'}])
};
fetch('https://sandbox.withclasp.com/plans/{public_id}/premiums', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "<string>",
"coverage_type": "member",
"tobacco_usage": true,
"relationship_category": "member",
"age": "<string>"
}
]Define Premiums
Defines premiums for a given plan. A plan will have multiple premiums with different criteria. For example a simple ‘composite’ plan will have 5 premiums defining an ‘amount’ for each coverage type.
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
The amount of the premium. For example '100' to define a rate of $100.
^-?\d{0,8}(?:\.\d{0,2})?$The coverage type to which this premium applies. For example 'member' to define a rate for a member-only enrollment.
member, member_spouse, member_child, member_children, member_family Whether this rate depends on tobacco usage. Leave null when not applicable.
The relationship category to which this premium applies. For example 'member' to define a rate for a member and 'child' to define a rate for a child.
member, spouse, child The age to which this premium applies. For example '18' to define a rate for a 18-year-old.
^\d{0,2}$Response
The amount of the premium. For example '100' to define a rate of $100.
^-?\d{0,8}(?:\.\d{0,2})?$The coverage type to which this premium applies. For example 'member' to define a rate for a member-only enrollment.
member, member_spouse, member_child, member_children, member_family Whether this rate depends on tobacco usage. Leave null when not applicable.
The relationship category to which this premium applies. For example 'member' to define a rate for a member and 'child' to define a rate for a child.
member, spouse, child The age to which this premium applies. For example '18' to define a rate for a 18-year-old.
^\d{0,2}$